Инструкция по установке Convead на UMI.CMS

Проверьте, что ваша CMS совместима

Наш модуль тестировался на указанной конфигурации UMI.CMS:

  • Версия UMI.CMS: 2.9.7 и выше.
  • Редакция: "Сommerce" или "Shop".
  • Поддержка php расширений: curl, mbstring

Работа с более ранними версиями UMI.CMS возможна, но не гарантируется.

Для UMI.CMS 2.14 и выше необходимо включать поддержку модулей предыдущих версий. Для этого в файле config.ini измените значение на compatible-modules = "0"

Установите модуль Convead 

-Перейдите на страницу модуля Convead в UMI.Market.
-Нажмите синюю кнопку "Установить бесплатно".
-В появившемся окне введите лицензионный ключ вашей CMS.
-Запустите принудительное обновление в административной панели вашего магазина на UMI.CMS.

После установки модуля перейдите на страницу его настройки и впишите в соответствующее поле API-ключ вашего аккаунта Convead.

Внесите изменения в шаблон вашего магазина

Добавьте следующую строку в шаблон вашего магазина перед закрывающим тегом </head>:

-для PHP-шаблонизатора:

<?= $this->macros('convead', 'getConveadScript'); ?>

-для XSLT-шаблонизатора:

<xsl:value-of select="document('udata://convead/getConveadScript/')/udata" disable-output-escaping="yes" />

-для TPL-шаблонизатора:

%convead getConveadScript()%

Убедитесь, что плагин установлен корректно

Сделайте пробную покупку, заказ должен отобразиться в админке вашего магазина.На воронке Convead заказ появится через 30 минут после того, как вы покините сайт.

Все еще нужна помощь? Связаться с нами Связаться с нами